Subject: Re: bug#7781: hunspell and latex-mode

From: Peter Münster <[email-masked]>
Date: Mon, 28 Apr 2014 19:17:36 +0200

On Mon, Apr 28 2014, Eli Zaretskii wrote:

> Maybe your Hunspell is not patched enough.

Perhaps.

> Mine has much more patches than the one you mentioned. Most of them
> are Windows-specific or related to encoding/decoding non-ASCII
> characters, something that doesn't sound relevant for your use case.
> But who knows? you might take a look at the file DIFFS in this
> archive, where you will find all the changes I made to Hunspell:
>
>   http://sourceforge.net/projects/ezwinports/files/hunspell-1.3.2-3-w32-src.zip/download

Indeed. I'll take a look when I have some more time.

> Or maybe wait for someone on Unix to try reproducing your recipe.

Yes, let's see.

> One other idea is to try spell-checking your sample file outside of
> Emacs, maybe you will see something that will give some ideas.

No. Here is the result:

--8<---------------cut here---------------start------------->8---
$ hunspell -a -d en_US -i UTF-8 /tmp/test.tex
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
& documentclass 8 1: document class, document-class, documentations, documentation, documents, documentary, underclassmen, underclassman
*

*
*

& bla 15 0: alb, bl, la, blat, bola, blag, blah, blab, lab, baa, bra, boa, Ila, Ala, Ola

*
*
--8<---------------cut here---------------end--------------->8---

> Finally, are you sure the 'hunspell' executable Emacs finds on PATH is
> indeed the one you intend?

Yes. And after switching to "M-x text-mode", there is no more problem.

-- 
           Peter